boost::geometry::strategy::convex_hull::graham_andrew< InputGeometry, OutputPoint > Class Template Reference
strategies: strategies

Graham scan strategy to calculate convex hull. More...

List of all members.

## Classes

class | partitions

## Public Types

typedef InputGeometry | geometry_type
typedef OutputPoint | point_type
typedef partitions | state_type

## Public Member Functions

void | apply (InputGeometry const &geometry, partitions &state) const
template<typename OutputIterator >
void | result (partitions const &state, OutputIterator out, bool clockwise, bool closed) const

## Detailed Description

### template<typename InputGeometry, typename OutputPoint>
class boost::geometry::strategy::convex_hull::graham_andrew< InputGeometry, OutputPoint >

Graham scan strategy to calculate convex hull.

Note:
  Completely reworked version inspired on the sources listed below

See also:
  http://www.ddj.com/architect/201806315
  http://marknelson.us/2007/08/22/convex

## Member Typedef Documentation

template<typename InputGeometry , typename OutputPoint >

typedef OutputPoint boost::geometry::strategy::convex_hull::graham_andrew< InputGeometry, OutputPoint >::point_type

template<typename InputGeometry , typename OutputPoint >

typedef InputGeometry boost::geometry::strategy::convex_hull::graham_andrew< InputGeometry, OutputPoint >::geometry_type

template<typename InputGeometry , typename OutputPoint >

typedef partitions boost::geometry::strategy::convex_hull::graham_andrew< InputGeometry, OutputPoint >::state_type

## Member Function Documentation

template<typename InputGeometry , typename OutputPoint >

void boost::geometry::strategy::convex_hull::graham_andrew< InputGeometry, OutputPoint >::apply | ( | InputGeometry const & | geometry,
|  | partitions & | state
| ) |  | const

template<typename InputGeometry , typename OutputPoint >
template<typename OutputIterator >

void boost::geometry::strategy::convex_hull::graham_andrew< InputGeometry, OutputPoint >::result | ( | partitions const & | state,
|  | OutputIterator | out,
|  | bool | clockwise,
|  | bool | closed
| ) |  | const

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK